curl --request GET \
--url https://api.sibipro.com/offers/ \
--header 'Authorization: Bearer <token>'{
"offers": [
{
"id": "<string>",
"status": "pending",
"thirdPartyId": "<string>"
}
],
"totalCount": 123,
"statuses": [
{
"status": "pending",
"count": 123
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}Search and list offers with optional filtering by status, search term, and pagination.
curl --request GET \
--url https://api.sibipro.com/offers/ \
--header 'Authorization: Bearer <token>'{
"offers": [
{
"id": "<string>",
"status": "pending",
"thirdPartyId": "<string>"
}
],
"totalCount": 123,
"statuses": [
{
"status": "pending",
"count": 123
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Filter offers by status
pending, generating_upsells, awaiting_customer, canceled, buyout_accepted, order_placed, expired "pending"
Search term to filter offers by customer name, email, or address
"john"
Page number (1-based)
x >= 11
Number of offers per page
1 <= x <= 10025